LibreOffice LibreOffice 25.8 SDK API Reference

Public Member Functions | List of all members
XShapeAligner Interface Referencepublished

Objects implementing this interface can be used to align Shapes. More...

`import"XShapeAligner.idl";`

Inheritance diagram for XShapeAligner:

## Public Member Functions
void | alignShapes ([inout] com::sun::star::drawing::XShapes aShapes, [in] com::sun::star::drawing::Alignment eType)
| aligns the specified Shapes. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

Objects implementing this interface can be used to align Shapes.

Deprecated:

## Member Function Documentation

## ◆ alignShapes()

void alignShapes | ( | [inout] com::sun::star::drawing::XShapes | aShapes,
|  | [in] com::sun::star::drawing::Alignment | eType
| ) |  |

aligns the specified Shapes.

The documentation for this interface was generated from the following file:

- com/sun/star/drawing/XShapeAligner.idl